RDKit::EnumerationTypes Namespace Reference

## Typedefs

typedef std::vector< MOL_SPTR_VECT > | BBS
typedef std::vector< boost::uint64_t > | RGROUPS

## Typedef Documentation

## BBS

typedef std::vector<MOL_SPTR_VECT> RDKit::EnumerationTypes::BBS

BBS - Helper typedef for holding buliding blocks for reactions holds vectors of reagents for each reactant in a Reaction

Definition at line 42 of file EnumerateTypes.h.

## RGROUPS

typedef std::vector<boost::uint64_t> RDKit::EnumerationTypes::RGROUPS

RGROUPS Helper typedef for indexing into the BBS vector

- The indices into the BBS molecule list to create a product Example RGROUPS groups; groups.push_back(10); groups.push_back(5);

  Will create a product from the following building blocks: MOL_SPTR_VECT building_blocks; building_blocks.push_back( BBS[0][groups[0] ); building_blocks.push_back( BBS[1][groups[1] ); rxn.runReactants( building_blocks );

Definition at line 56 of file EnumerateTypes.h.